# FairMQ: fair::mq::sdk::DDSTask Class Reference

fair::mq::sdk::DDSTask Class Reference

Represents a DDS task. More...

`#include <>>`

## Public Types

using | Id = std::uint64_t

## Public Member Functions

| DDSTask (Id id, Id collectionId)
Id | GetId () const
DDSCollection::Id | GetCollectionId () const

## Friends

auto | operator<< (std::ostream &os, const DDSTask &task) -> std::ostream &

## Detailed Description

Represents a DDS task.

The documentation for this class was generated from the following file:

- fairmq/sdk/DDSTask.h

privacy